CMF Wiki - CAS update failed on user_touched for user ID

Discussion in 'General Discussion and Feedback' started by Scharesoft, Jun 8, 2016.

  1. Yoskaldyr

    Yoskaldyr Administrator Staff Member

    Please test it a few days more and write here about results.
    After that I will release a new version.
     
    Scharesoft likes this.
  2. Scharesoft

    Scharesoft New Member

    So far, everything works!
     
  3. Scharesoft

    Scharesoft New Member

    This problem is there again when we try to upgrade to PHP 7. With PHP5 it's working, but as soon as we update to the latest PHP version the bridge doesn't work. Is there maybe a solution for this problem?
     
  4. Yoskaldyr

    Yoskaldyr Administrator Staff Member

    @Scharesoft, I need more information about errors.
     
  5. Scharesoft

    Scharesoft New Member

    Thanks for the reply. As far as we update the php version this is the error in our error log for MediaWiki:
    This is the part of GlobalFunctions.php:
    PHP:
    /**
    * Reset the session_id
    *
    * @since 1.22
    */
    function wfResetSessionID() {
        global 
    $wgCookieSecure;
        
    $oldSessionId session_id();
        
    $cookieParams session_get_cookie_params();
        if ( 
    wfCheckEntropy() && $wgCookieSecure == $cookieParams['secure'] ) {
            
    session_regenerate_idfalse );
        } else {
            
    $tmp $_SESSION;
            
    session_destroy();
            
    wfSetupSessionMWCryptRand::generateHex32 ) );
            
    $_SESSION $tmp;
        }
        
    $newSessionId session_id();
    }
     
    Last edited: Sep 20, 2018
  6. Yoskaldyr

    Yoskaldyr Administrator Staff Member

    You can try to use this version of Hook.php (in the attachment)
     

    Attached Files:

    • Hook.zip
      File size:
      968 bytes
      Views:
      1
    Scharesoft likes this.
  7. Scharesoft

    Scharesoft New Member

    Thanks, but this doesn't help.

    This appears when I try to access the wiki with php 7.2
    That's an other warning in the error log:
    EDIT: Sorry, it seems that our MediaWiki version is the problem. We are still on 1.26 and from this table it looks like it's not compatible with PHP 7.2.
     

Share This Page